### Method

# Vips RefString get

#### Declaration [src]

    const char*
    vips_ref_string_get (
      VipsRefString* refstr,
      size_t* length
    )

#### Description [src]

Get a pointer to the private string inside a refstr. Handy for language bindings.

See also

`vips_value_get_ref_string()`.

#### Parameters

`length`

  Type: `size_t*`

  Return length here, optionally.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `const char*`

The C string held by `refstr`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.